# yaml-language-server: $schema=../dist/scenario.schema.json
scenarios:
  - name: initieel
    document_datumtijd: 2024-04-03T00:00:00+00:00
    aangeleverd_door: "99000000000000000001"
    gebeurtenis_kenmerken:
      - RMB_12345-1
      - RMB_12345-2
    scenario_contact_optie:
      - zaakkenmerk: "RMB_12345"

        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000001"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:rmb@mailtniet.nl?subject=RMB mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/rmb/mijn_rmb.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/rmb/rmb.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      RMB_HEFFING: BESCHIKBAAR
      RMB_FONDS_HEFFING: BESCHIKBAAR

    order: 1

  - name: achterstand
    document_datumtijd: 2024-04-04T00:00:00+00:00

    aangeleverd_door: "99000000000000000001"
    gebeurtenis_kenmerken:
      - RMB_12345-1
      - RMB_12345-2
    scenario_achterstanden:
      - zaakkenmerk: "RMB_12345"
        gebeurtenis_kenmerk: RMB_12345-2
    scenario_contact_optie:
      - zaakkenmerk: "RMB_12345"

        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000001"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:rmb@mailtniet.nl?subject=RMB mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/rmb/mijn_rmb.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/rmb/rmb.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      RMB_HEFFING: BESCHIKBAAR
      RMB_FONDS_HEFFING: BESCHIKBAAR

    order: 2

  - name: aanmaning
    document_datumtijd: 2024-04-05T00:00:00+00:00

    aangeleverd_door: "99000000000000000001"
    gebeurtenis_kenmerken:
      - RMB_12345-1
      - RMB_12345-2
      - RMB_12345-3
      - RMB_12345-4
    scenario_achterstanden:
      - zaakkenmerk: "RMB_12345"
        gebeurtenis_kenmerk: RMB_12345-4
    scenario_contact_optie:
      - zaakkenmerk: "RMB_12345"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000001"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:rmb@mailtniet.nl?subject=RMB mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/rmb/mijn_rmb.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/rmb/rmb.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      RMB_HEFFING: BESCHIKBAAR
      RMB_FONDS_HEFFING: BESCHIKBAAR

    order: 3

gebeurtenissen:
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: RMB_12345-1
    datumtijd_gebeurtenis: 2023-12-31T10:25:01+00:00
    datumtijd_opgelegd: 2023-12-31T10:25:00+00:00
    zaakkenmerk: "RMB_12345"
    beschikkingsnummer: "887766554433"
    bsn: "814859094"
    primaire_verplichting: true
    type: "RMB_FONDS_HEFFING"
    categorie: Algemeen
    bedrag: 15000
    omschrijving: "Heffing fonds 2024"
    juridische_grondslag_omschrijving: "Wet fonds"
    juridische_grondslag_bron: "https://wetten.overheid.nl/jci1.3:c:BWBR0030250&hoofdstuk=9&paragraaf=4&artikel=9.14&z=2022-12-22&g=2022-12-22"
    opgelegd_door: "99000000000000000001"
    uitgevoerd_door: "99000000000000000001"
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: RMB_12345-2
    datumtijd_gebeurtenis: 2023-12-02T10:25:02+00:00
    datumtijd_opgelegd: 2023-12-31T10:26:00+00:00
    zaakkenmerk: "RMB_12345"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: Handmatig
    type: Aanschrijving
    te_betalen_aan: "99000000000000000001"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Rijksdienst voor Maatschappelijke Bijstand [Fictief]"
    betalingskenmerk: "1111222233334444"
    vervaldatum: 2024-02-11T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingIngetrokken
    gebeurtenis_kenmerk: RMB_12345-3
    datumtijd_gebeurtenis: 2024-03-01T10:25:03+00:00
    ingetrokken_gebeurtenis_kenmerk: RMB_12345-2
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: RMB_12345-4
    datumtijd_gebeurtenis: 2024-03-01T10:25:04+00:00
    datumtijd_opgelegd: 2024-03-01T00:02:00+00:00
    zaakkenmerk: "RMB_12345"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: Handmatig
    type: Aanmaning
    te_betalen_aan: "99000000000000000001"
    rekeningnummer: GB33BUKB20201555555555
    rekeningnummer_tenaamstelling: "Rijksdienst voor Maatschappelijke Bijstand [Fictief]"
    betalingskenmerk: "2111222233334444"
    vervaldatum: 2024-11-15T00:00:00+00:00
